> ## Documentation Index
> Fetch the complete documentation index at: https://docs.autotab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel



## OpenAPI

````yaml openapi/.openapi.json post /run/{id}/cancel
openapi: 3.1.0
info:
  title: Autotab API
  description: AI that does your repetitive work end to end, with superhuman reliability.
  version: 0.0.2
servers:
  - url: https://api.autotab.com/v1
    description: Autotab API
security: []
paths:
  /run/{id}/cancel:
    post:
      tags:
        - Run
      summary: Cancel
      operationId: cancel
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            title: Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: string
                  - type: 'null'
                title: Response Cancel
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
      x-codeSamples:
        - lang: Python
          source: |-
            import autotab
            from autotab.rest import ApiException
            from pprint import pprint


            client = autotab.Client(
                autotab.Configuration(
                    api_key = os.environ["AUTOTAB_API_KEY"]
                )
            )

            try:
                await autotab.RunApi(client).cancel(
                    id="run_344ed4ce-6c14-4b13-96b5-3bbb2000c2e5"
                )
            except ApiException as e:
                print(f"Exception: {e})
        - lang: Javascript
          source: |-

            import { Configuration, RunApi } from 'autotab';

            const runClient = new RunApi(new Configuration({
                apiKey: process.env['AUTOTAB_API_KEY'],
            }));

            async function main() {
              await runClient.cancel({
                id: "run_344ed4ce-6c14-4b13-96b5-3bbb2000c2e5"
              });
            }

            main();
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      description: Your Autotab API key
      scheme: bearer

````